Index Page ucrss_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void ucrss_c ( ConstSpiceDouble   v1[3],
                      ConstSpiceDouble   v2[3],
                      SpiceDouble        vout[3] )

#### Abstract

       Compute the normalized cross product of two 3-vectors.

#### Required_Reading

       None.

#### Keywords

       VECTOR

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       v1         I     Left vector for cross product.
       v2         I     Right vector for cross product.
       vout       O     Normalized cross product (v1xv2) / |v1xv2|.

#### Detailed_Input

       v1   A 3-vector.

       v2   A 3-vector.

#### Detailed_Output

       vout is the result of the computation (v1xv2)/|v1xv2|

#### Parameters

       None.

#### Exceptions

       Error free.

       1) If the cross product of v1 and v2 yields the zero-vector, then
          the zero-vector is returned instead of a vector of unit length.

#### Files

       None.

#### Particulars

       None.

#### Examples

       To get a unit normal to the plane spanned by two vectors
       v1 and v2. Simply call

           ucrss_c ( v1, v2, normal );

#### Restrictions

       None.

#### Literature_References

       None

#### Author_and_Institution

       W.M. Owen       (JPL)
       W.L. Taber      (JPL)

#### Version

       -CSPICE Version 1.1.0, 22-OCT-1998 (NJB)

          Made input vectors const.

       -CSPICE Version 1.0.0, 08-FEB-1998   (EDW)

#### Index_Entries

       unitized cross product

#### Link to routine ucrss_c source file ucrss_c.c

    Wed Apr  5 17:54:46 2017